<template>
  <!-- หน้าแสดงรอบหนัง -->
  <div class="home">
    <br>
    <!-- <h1 class="white--text st">Showtime</h1> -->
    <h1 class="font-weight-bold white--text st">{{ movies.movie_name }}</h1>
    <v-divider></v-divider>

    <v-container class="my-2">
      <v-layout row wrap>
        <v-flex justify-center xs4 sm4 md5 lg3>
          <img height="350px" :src="movies.image">
        </v-flex>

        <v-flex justify-center xs10 sm10 md7 lg9>
          <!-- <h1 class="font-weight-bold white--text">{{ movies.movie_name }}</h1> -->
          <h2 class="font-weight-light white--text">{{movies.detail}}</h2>
          <br>

          <h2 class="font-weight-light white--text" >Type : {{movies.genra}} | {{movies.time}}</h2>
          <h2 class="font-weight-light white--text">Rate : {{movies.rate}}</h2>
        </v-flex>

        <v-flex justify-center xs12 sm12 md12 lg12>
          <v-btn
            outline
            color="white"
            class="right #d50000--text"
            v-for="link in changeMovie"
            :key="link.text"
            router
            :to="link.route"
          >change movie</v-btn>
        </v-flex>
      </v-layout>

      <v-layout row wrap>
        <v-flex xs12>
          <v-card-title></v-card-title>
          <!-- <showTime/> -->
          <Seat2/>
        </v-flex>
      </v-layout>
    </v-container>
  </div>
</template>

<script>
// import showTime from "@/components/showTime";
import Seat2 from "@/components/Seat2";

export default {
  components: {
    // showTime,
    Seat2
  },
  data() {
    return {
      changeMovie: [{ text: "change movie", route: "/" }],
      movies: []
    };
  },
  beforeCreate() {
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid);
  },
  async created() {
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid);
    try {
      var { data } = await this.axios.get(
        "http://192.168.253.50:4000/movie/" + mid
      );
      //   console.log(data);
      this.movies = data;
      console.log(this.movies);
    } catch (error) {
      console.log(error.message);
    }
  },
  methods: {
    // async getMovieshow() {
    //   await this.axios
    //     .get("http://192.168.253.107:3005/movie")
    //     .then(response => {
    //       console.log(response.data);
    //       this.moviesw = response.data;
    //     });
    // }
  }
};
</script>
<style>
  .st{
    text-align: center;
  }
</style>
